diff --git a/test_plans/cvl_advanced_rss_pppoe_test_plan.rst b/test_plans/cvl_advanced_rss_pppoe_test_plan.rst
index 994e10ce..a8cb7171 100644
--- a/test_plans/cvl_advanced_rss_pppoe_test_plan.rst
+++ b/test_plans/cvl_advanced_rss_pppoe_test_plan.rst
@@ -4847,18 +4847,12 @@ Subcase 2: two rules with same pattern but different hash input set, hit default
      testpmd> flow list 0
 
    check the rule 1 not exists in the list.
-   send the MAC_PPPOE_IPV4_PAY packet::
-
-     sendp([Ether(src="00:11:22:33:44:55", dst="10:22:33:44:55:66")/PPPoE(sessionid=3)/PPP(proto=0x0021)/IP(src="192.168.1.1", dst="192.168.1.2")/Raw("x"*80)],iface="ens786f0")
-
-   check the hash value not exists.
    destroy the rule 0::
 
      testpmd> flow destroy 0 rule 0
      testpmd> flow list 0
 
    check the rule 0 not exists in the list.
-   send the MAC_PPPOE_IPV4_PAY packet, check the hash value not exists.
 
 Subcase 3: two rules, scope smaller created first, and the larger one created later
 -----------------------------------------------------------------------------------
@@ -4913,14 +4907,11 @@ Subcase 3: two rules, scope smaller created first, and the larger one created la
      testpmd> flow list 0
 
    check the rule 1 not exists in the list.
-   repeat step 2, get the same result.
    destroy the rule 0::
 
      testpmd> flow destroy 0 rule 0
      testpmd> flow list 0
 
-   send a MAC_PPPOE_IPV4_UDP_PAY packet, check the hash values not exists.
-
 Subcase 4: two rules, scope larger created first, and the smaller one created later
 -----------------------------------------------------------------------------------
 
@@ -4974,11 +4965,9 @@ Subcase 4: two rules, scope larger created first, and the smaller one created la
      testpmd> flow list 0
 
    check the rule 1 not exists in the list.
-   repeat step 2, hit pppoe_ipv4 profile, get the same result.
    destroy the rule 0::
 
      testpmd> flow destroy 0 rule 0
      testpmd> flow list 0
 
-   send a MAC_PPPOE_IPV4_UDP_PAY packet, check the hash values not exists.
 
diff --git a/test_plans/cvl_advanced_rss_test_plan.rst b/test_plans/cvl_advanced_rss_test_plan.rst
index 8197e56c..c33f4fb4 100644
--- a/test_plans/cvl_advanced_rss_test_plan.rst
+++ b/test_plans/cvl_advanced_rss_test_plan.rst
@@ -2300,11 +2300,6 @@ Subcase 2: two rules with same pattern but different hash input set, hit default
      testpmd> flow list 0
 
    check the rule 1 not exists in the list.
-   send the MAC_IPV4_PAY packet::
-
-     sendp([Ether(dst="00:11:22:33:44:55")/IP(src="192.168.0.3",dst="192.168.0.5")/Raw("x"*480)], iface="ens786f0")
-
-   check the hash value is not exist.
 
 Subcase 3: two rules, scope smaller created first, and the larger one created later
 -----------------------------------------------------------------------------------
@@ -2359,14 +2354,11 @@ Subcase 3: two rules, scope smaller created first, and the larger one created la
      testpmd> flow list 0
 
    check the rule 1 not exists in the list.
-   repeat step 2, get the same result.
    destroy the rule 0::
 
      testpmd> flow destroy 0 rule 0
      testpmd> flow list 0
 
-   send a MAC_IPV4_UDP_PAY packet, check the hash values not exists.
-
 Subcase 4: two rules, scope larger created first, and the smaller one created later
 -----------------------------------------------------------------------------------
 
@@ -2420,10 +2412,8 @@ Subcase 4: two rules, scope larger created first, and the smaller one created la
      testpmd> flow list 0
 
    check the rule 1 not exists in the list.
-   repeat step 2, hit ipv4 profile, get the same result.
    destroy the rule 0::
 
      testpmd> flow destroy 0 rule 0
      testpmd> flow list 0
 
-   send a MAC_IPV4_UDP_PAY packet, check the hash values not exists.
diff --git a/tests/TestSuite_cvl_advanced_rss.py b/tests/TestSuite_cvl_advanced_rss.py
index 1534eb8d..da756ac1 100644
--- a/tests/TestSuite_cvl_advanced_rss.py
+++ b/tests/TestSuite_cvl_advanced_rss.py
@@ -6365,13 +6365,6 @@ class AdvancedRSSTest(TestCase):
         self.rssprocess.handle_tests(tests, 0)
         self.rssprocess.destroy_rule(port_id=0, rule_id=rule_id_1)
         self.rssprocess.check_rule(port_id=0)
-        tests = [
-                    {
-                        'send_packet': 'Ether(dst="00:11:22:33:44:55")/IP(src="192.168.0.3",dst="192.168.0.5")/Raw("x"*480)',
-                        'action': {'check_no_hash': 'ipv4-pay'},
-                    },
-                ]
-        self.rssprocess.handle_tests(tests, 0)
         self.rssprocess.destroy_rule(port_id=0, rule_id=rule_id_0)
 
         # Subcase 3: two rules, scope smaller created first, and the larger one created later
@@ -6411,15 +6404,7 @@ class AdvancedRSSTest(TestCase):
                 ]
         self.rssprocess.handle_tests(tests, 0)
         self.rssprocess.destroy_rule(port_id=0, rule_id=rule_id_1)
-        self.rssprocess.handle_tests(tests_3, 0)
         self.rssprocess.destroy_rule(port_id=0, rule_id=rule_id_0)
-        tests = [
-                    {
-                        'send_packet': 'Ether(dst="00:11:22:33:44:55")/IP(src="192.168.0.3",dst="192.168.0.5")/UDP(sport=23, dport=45)/Raw("x"*480)',
-                        'action': {'check_no_hash': 'ipv4-udp-pay'},
-                    },
-                ]
-        self.rssprocess.handle_tests(tests, 0)
 
         # Subcase 4: two rules, scope larger created first, and the smaller one created later
         self.logger.info('===================Test sub case: multirules subcase 4 ================')
@@ -6458,15 +6443,7 @@ class AdvancedRSSTest(TestCase):
                 ]
         self.rssprocess.handle_tests(tests, 0)
         self.rssprocess.destroy_rule(port_id=0, rule_id=rule_id_1)
-        self.rssprocess.handle_tests(tests_4, 0)
         self.rssprocess.destroy_rule(port_id=0, rule_id=rule_id_0)
-        tests = [
-                    {
-                        'send_packet': 'Ether(dst="00:11:22:33:44:55")/IP(src="192.168.0.3",dst="192.168.0.5")/UDP(sport=23, dport=45)/Raw("x"*480)',
-                        'action': {'check_no_hash': 'ipv4-udp-pay'},
-                    },
-                ]
-        self.rssprocess.handle_tests(tests, 0)
         self.verify(not self.rssprocess.error_msgs, 'some subcases failed')
 
     def tear_down(self):
diff --git a/tests/TestSuite_cvl_advanced_rss_pppoe.py b/tests/TestSuite_cvl_advanced_rss_pppoe.py
index 0529165a..2d3e226e 100644
--- a/tests/TestSuite_cvl_advanced_rss_pppoe.py
+++ b/tests/TestSuite_cvl_advanced_rss_pppoe.py
@@ -4710,12 +4710,9 @@ class Advanced_rss_pppoe(TestCase):
         # destory rule 1
         self.rsspro.destroy_rule(rule_id=1)
         self.rsspro.check_rule(rule_list=['1'], stats=False)
-        pkt_list[1], pkt_list[2] = pkt_list[2], pkt_list[1]
-        self._send_pkt_action(pkt_list, action_list=action_list1)
         # destory rule 0
         self.rsspro.destroy_rule(rule_id=0)
         self.rsspro.check_rule(rule_list=['0'], stats=False)
-        self._send_pkt_action([pkt_list[0]], action_list=action_list2)
 
     def test_two_rules_smaller_first_larger_later(self, ):
         """